%% script2


%%

clear
close all
bw = imread('btext.png');
imshow(imresize(bw,4,'nearest'));

%%

se = strel('disk',2)

bw2 = imerode(bw,se);
imshow(imresize(bw2,4,'nearest'));

%%

sz = size(bw2);
for n=1:sz(1)
    for m=1:sz(2)
        %fprintf('%d',bw2(n,m));
        if bw2(n,m) fprintf('1');
        else fprintf(' ');
        end
    end
    fprintf('\n');
end

%%

bw3 = imdilate(bw,se);
showbin(bw3);

%%

subplot(1,3,1);
imshow(imresize(bw,4,'nearest'));
title('original');
subplot(1,3,2);
imshow(imresize(bw2,4,'nearest'));
title('eroded');
subplot(1,3,3);
imshow(imresize(bw3,4,'nearest'));
title('dilated');

imwrite(bw2,'eroded.png');
imwrite(bw3,'dilated.png');
